from __magnitud import magnitud


def crearfuncion_calcular_udm (udA, udB, mA, mB):
	def calcular_udm (gn, n):
		inicio = (n == 0)

		ups, downs = udA[gn] if inicio else udB[gn]

		N = magnitud (gn)
		maxdowns = mA[N] if inicio else mB[N]

		return ups, downs, maxdowns

	return calcular_udm


# ----------------------------------------------------------------
if __name__ == '__main__':

	udA = {(1, 2): (3, 2), (1,): (0, 0), (2,): (1, 1), (2, -2): (7, 0), (2, 1):
		(5, 0), (2, 2): (6, 1), (1, -2): (4, 1), (1, 1): (2, 0)}
	udB = {(1, 2): (1, 3), (-2, 1): (4, 0), (-2, 2): (7, 1), (2, -2): (6, 2), (-2,
		-2): (8, 0), (2, 1): (3, 1), (2, 2): (5, 3), (1, -2): (2, 2), (1, 1): (0, 0)}
	mA = {1: 0, 2: 1, 3: 2, 4: 1}
	mB = {2: 0, 3: 3, 4: 3}

	calcular_udm = crearfuncion_calcular_udm (udA, udB, mA, mB)

	gn = 1, 2
	n = 1
	u, d, m = calcular_udm (gn, n)

	print (u, d, m)

