from __optimizar_division import optimizar_division
from __calcularcosto import calcularcosto


def revisar_valores (largo):
	if largo < 3:
		raise ValueError ('parametros incorrectos: largo debe ser >= 3')


def constantes (bits=256, largo=28):
		revisar_valores (largo)

		bases, L = optimizar_division (bits, largo)
		z = tuple ([n - 1 for n in bases])
		return L, z


# ----------------------------------------------------------------
if __name__ == '__main__':

	bits = 128
	largo = 64

	L, z = constantes (bits, largo)

	print ('bits, largo = ' + str ((bits, largo)))
	print ('L, z = ' + str ((L, z)))

